library nippon_colors;

import 'dart:ui' show Color;

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';

/// # Nippon Colors
/// implementing all 250 tradition nippon colors for esay using
/// Inspired by [Nippon Colors](https://nipponcolors.com)
/// Simply import and use the color by id or Romanised name
class NipponColors {
  NipponColors._();

  /// 撫子, nadeshiko
  static const Color nipponColor001 = Color.fromARGB(0xFF, 0xDC, 0x9F, 0xB4);
  static const Color nadeshiko = nipponColor001;

  /// 紅梅, kohbai
  static const Color nipponColor002 = Color.fromARGB(0xFF, 0xE1, 0x6B, 0x8C);
  static const Color kohbai = nipponColor002;

  /// 蘇芳, suoh
  static const Color nipponColor003 = Color.fromARGB(0xFF, 0x8E, 0x35, 0x4A);
  static const Color suoh = nipponColor003;

  /// 退紅, taikoh
  static const Color nipponColor004 = Color.fromARGB(0xFF, 0xF8, 0xC3, 0xCD);
  static const Color taikoh = nipponColor004;

  /// 一斥染, ikkonzome
  static const Color nipponColor005 = Color.fromARGB(0xFF, 0xF4, 0xA7, 0xB9);
  static const Color ikkonzome = nipponColor005;

  /// 桑染, kuwazome
  static const Color nipponColor006 = Color.fromARGB(0xFF, 0x64, 0x36, 0x3C);
  static const Color kuwazome = nipponColor006;

  /// 桃, momo
  static const Color nipponColor007 = Color.fromARGB(0xFF, 0xF5, 0x96, 0xAA);
  static const Color momo = nipponColor007;

  /// 苺, ichigo
  static const Color nipponColor008 = Color.fromARGB(0xFF, 0xB5, 0x49, 0x5B);
  static const Color ichigo = nipponColor008;

  /// 薄紅, usubeni
  static const Color nipponColor009 = Color.fromARGB(0xFF, 0xE8, 0x7A, 0x90);
  static const Color usubeni = nipponColor009;

  /// 今様, imayoh
  static const Color nipponColor010 = Color.fromARGB(0xFF, 0xD0, 0x5A, 0x6E);
  static const Color imayoh = nipponColor010;

  /// 中紅, nakabeni
  static const Color nipponColor011 = Color.fromARGB(0xFF, 0xDB, 0x4D, 0x6D);
  static const Color nakabeni = nipponColor011;

  /// 桜, sakura
  static const Color nipponColor012 = Color.fromARGB(0xFF, 0xFE, 0xDF, 0xE1);
  static const Color sakura = nipponColor012;

  /// 梅鼠, umenezumi
  static const Color nipponColor013 = Color.fromARGB(0xFF, 0x9E, 0x7A, 0x7A);
  static const Color umenezumi = nipponColor013;

  /// 韓紅花, karakurenai
  static const Color nipponColor014 = Color.fromARGB(0xFF, 0xD0, 0x10, 0x4C);
  static const Color karakurenai = nipponColor014;

  /// 燕脂, enji
  static const Color nipponColor015 = Color.fromARGB(0xFF, 0x9F, 0x35, 0x3A);
  static const Color enji = nipponColor015;

  /// 紅, kurenai
  static const Color nipponColor016 = Color.fromARGB(0xFF, 0xCB, 0x1B, 0x45);
  static const Color kurenai = nipponColor016;

  /// 鴇, toki
  static const Color nipponColor017 = Color.fromARGB(0xFF, 0xEE, 0xA9, 0xA9);
  static const Color toki = nipponColor017;

  /// 長春, cyohsyun
  static const Color nipponColor018 = Color.fromARGB(0xFF, 0xBF, 0x67, 0x66);
  static const Color cyohsyun = nipponColor018;

  /// 深緋, kokiake
  static const Color nipponColor019 = Color.fromARGB(0xFF, 0x86, 0x47, 0x3F);
  static const Color kokiake = nipponColor019;

  /// 桜鼠, sakuranezumi
  static const Color nipponColor020 = Color.fromARGB(0xFF, 0xB1, 0x96, 0x93);
  static const Color sakuranezumi = nipponColor020;

  /// 甚三紅, jinzamomi
  static const Color nipponColor021 = Color.fromARGB(0xFF, 0xEB, 0x7A, 0x77);
  static const Color jinzamomi = nipponColor021;

  /// 小豆, azuki
  static const Color nipponColor022 = Color.fromARGB(0xFF, 0x95, 0x4A, 0x45);
  static const Color azuki = nipponColor022;

  /// 蘇芳香, suohkoh
  static const Color nipponColor023 = Color.fromARGB(0xFF, 0xA9, 0x63, 0x60);
  static const Color suohkoh = nipponColor023;

  /// 赤紅, akabeni
  static const Color nipponColor024 = Color.fromARGB(0xFF, 0xCB, 0x40, 0x42);
  static const Color akabeni = nipponColor024;

  /// 真朱, shinsyu
  static const Color nipponColor025 = Color.fromARGB(0xFF, 0xAB, 0x3B, 0x3A);
  static const Color shinsyu = nipponColor025;

  /// 灰桜, haizakura
  static const Color nipponColor026 = Color.fromARGB(0xFF, 0xD7, 0xC4, 0xBB);
  static const Color haizakura = nipponColor026;

  /// 栗梅, kuriume
  static const Color nipponColor027 = Color.fromARGB(0xFF, 0x90, 0x48, 0x40);
  static const Color kuriume = nipponColor027;

  /// 海老茶, ebicha
  static const Color nipponColor028 = Color.fromARGB(0xFF, 0x73, 0x43, 0x38);
  static const Color ebicha = nipponColor028;

  /// 銀朱, ginsyu
  static const Color nipponColor029 = Color.fromARGB(0xFF, 0xC7, 0x3E, 0x3A);
  static const Color ginsyu = nipponColor029;

  /// 黒鳶, kurotobi
  static const Color nipponColor030 = Color.fromARGB(0xFF, 0x55, 0x42, 0x36);
  static const Color kurotobi = nipponColor030;

  /// 紅鳶, benitobi
  static const Color nipponColor031 = Color.fromARGB(0xFF, 0x99, 0x46, 0x39);
  static const Color benitobi = nipponColor031;

  /// 曙, akebono
  static const Color nipponColor032 = Color.fromARGB(0xFF, 0xF1, 0x94, 0x83);
  static const Color akebono = nipponColor032;

  /// 紅樺, benikaba
  static const Color nipponColor033 = Color.fromARGB(0xFF, 0xB5, 0x44, 0x34);
  static const Color benikaba = nipponColor033;

  /// 水がき, mizugaki
  static const Color nipponColor034 = Color.fromARGB(0xFF, 0xB9, 0x88, 0x7D);
  static const Color mizugaki = nipponColor034;

  /// 珊瑚朱, sangosyu
  static const Color nipponColor035 = Color.fromARGB(0xFF, 0xF1, 0x7C, 0x67);
  static const Color sangosyu = nipponColor035;

  /// 紅檜皮, benihiwada
  static const Color nipponColor036 = Color.fromARGB(0xFF, 0x88, 0x4C, 0x3A);
  static const Color benihiwada = nipponColor036;

  /// 猩猩緋, syojyohi
  static const Color nipponColor037 = Color.fromARGB(0xFF, 0xE8, 0x30, 0x15);
  static const Color syojyohi = nipponColor037;

  /// 鉛丹, entan
  static const Color nipponColor038 = Color.fromARGB(0xFF, 0xD7, 0x54, 0x55);
  static const Color entan = nipponColor038;

  /// 芝翫茶, shikancha
  static const Color nipponColor039 = Color.fromARGB(0xFF, 0xB5, 0x5D, 0x4C);
  static const Color shikancha = nipponColor039;

  /// 檜皮, hiwada
  static const Color nipponColor040 = Color.fromARGB(0xFF, 0x85, 0x48, 0x36);
  static const Color hiwada = nipponColor040;

  /// 柿渋, kakishibu
  static const Color nipponColor041 = Color.fromARGB(0xFF, 0xA3, 0x5E, 0x47);
  static const Color kakishibu = nipponColor041;

  /// 緋, ake
  static const Color nipponColor042 = Color.fromARGB(0xFF, 0xCC, 0x54, 0x3A);
  static const Color ake = nipponColor042;

  /// 鳶, tobi
  static const Color nipponColor043 = Color.fromARGB(0xFF, 0x72, 0x48, 0x32);
  static const Color tobi = nipponColor043;

  /// 紅緋, benihi
  static const Color nipponColor044 = Color.fromARGB(0xFF, 0xF7, 0x5C, 0x2F);
  static const Color benihi = nipponColor044;

  /// 栗皮茶, kurikawacha
  static const Color nipponColor045 = Color.fromARGB(0xFF, 0x6A, 0x40, 0x28);
  static const Color kurikawacha = nipponColor045;

  /// 弁柄, bengara
  static const Color nipponColor046 = Color.fromARGB(0xFF, 0x9A, 0x50, 0x34);
  static const Color bengara = nipponColor046;

  /// 照柿, terigaki
  static const Color nipponColor047 = Color.fromARGB(0xFF, 0xC4, 0x62, 0x43);
  static const Color terigaki = nipponColor047;

  /// 江戸茶, edocha
  static const Color nipponColor048 = Color.fromARGB(0xFF, 0xAF, 0x5F, 0x3C);
  static const Color edocha = nipponColor048;

  /// 洗朱, araisyu
  static const Color nipponColor049 = Color.fromARGB(0xFF, 0xFB, 0x96, 0x6E);
  static const Color araisyu = nipponColor049;

  /// 百塩茶, momoshiocha
  static const Color nipponColor050 = Color.fromARGB(0xFF, 0x72, 0x49, 0x38);
  static const Color momoshiocha = nipponColor050;

  /// 唐茶, karacha
  static const Color nipponColor051 = Color.fromARGB(0xFF, 0xB4, 0x71, 0x57);
  static const Color karacha = nipponColor051;

  /// ときがら茶, tokigaracha
  static const Color nipponColor052 = Color.fromARGB(0xFF, 0xDB, 0x8E, 0x71);
  static const Color tokigaracha = nipponColor052;

  /// 黄丹, ohni
  static const Color nipponColor053 = Color.fromARGB(0xFF, 0xF0, 0x5E, 0x1C);
  static const Color ohni = nipponColor053;

  /// 纁, sohi
  static const Color nipponColor054 = Color.fromARGB(0xFF, 0xED, 0x78, 0x4A);
  static const Color sohi = nipponColor054;

  /// 遠州茶, ensyucha
  static const Color nipponColor055 = Color.fromARGB(0xFF, 0xCA, 0x78, 0x53);
  static const Color ensyucha = nipponColor055;

  /// 樺茶, kabacha
  static const Color nipponColor056 = Color.fromARGB(0xFF, 0xB3, 0x5C, 0x37);
  static const Color kabacha = nipponColor056;

  /// 焦茶, kogecha
  static const Color nipponColor057 = Color.fromARGB(0xFF, 0x56, 0x3F, 0x2E);
  static const Color kogecha = nipponColor057;

  /// 赤香, akakoh
  static const Color nipponColor058 = Color.fromARGB(0xFF, 0xE3, 0x91, 0x6E);
  static const Color akakoh = nipponColor058;

  /// 雀茶, suzumecha
  static const Color nipponColor059 = Color.fromARGB(0xFF, 0x8F, 0x5A, 0x3C);
  static const Color suzumecha = nipponColor059;

  /// 宍, shishi
  static const Color nipponColor060 = Color.fromARGB(0xFF, 0xF0, 0xA9, 0x86);
  static const Color shishi = nipponColor060;

  /// 宗伝唐茶, sodenkaracha
  static const Color nipponColor061 = Color.fromARGB(0xFF, 0xA0, 0x67, 0x4B);
  static const Color sodenkaracha = nipponColor061;

  /// 樺, kaba
  static const Color nipponColor062 = Color.fromARGB(0xFF, 0xC1, 0x69, 0x3C);
  static const Color kaba = nipponColor062;

  /// 深支子, kokikuchinashi
  static const Color nipponColor063 = Color.fromARGB(0xFF, 0xFB, 0x99, 0x66);
  static const Color kokikuchinashi = nipponColor063;

  /// 胡桃, kurumi
  static const Color nipponColor064 = Color.fromARGB(0xFF, 0x94, 0x7A, 0x6D);
  static const Color kurumi = nipponColor064;

  /// 代赭, taisya
  static const Color nipponColor065 = Color.fromARGB(0xFF, 0xA3, 0x63, 0x36);
  static const Color taisya = nipponColor065;

  /// 洗柿, araigaki
  static const Color nipponColor066 = Color.fromARGB(0xFF, 0xE7, 0x94, 0x60);
  static const Color araigaki = nipponColor066;

  /// 黄櫨染, kohrozen
  static const Color nipponColor067 = Color.fromARGB(0xFF, 0x7D, 0x53, 0x2C);
  static const Color kohrozen = nipponColor067;

  /// 赤朽葉, akakuchiba
  static const Color nipponColor068 = Color.fromARGB(0xFF, 0xC7, 0x85, 0x50);
  static const Color akakuchiba = nipponColor068;

  /// 礪茶, tonocha
  static const Color nipponColor069 = Color.fromARGB(0xFF, 0x98, 0x5F, 0x2A);
  static const Color tonocha = nipponColor069;

  /// 赤白橡, akashirotsurubami
  static const Color nipponColor070 = Color.fromARGB(0xFF, 0xE1, 0xA6, 0x79);
  static const akashirotsurubami = nipponColor070;

  /// 煎茶, sencha
  static const Color nipponColor071 = Color.fromARGB(0xFF, 0x85, 0x5B, 0x32);
  static const Color sencha = nipponColor071;

  /// 萱草, kanzo
  static const Color nipponColor072 = Color.fromARGB(0xFF, 0xFC, 0x9F, 0x4D);
  static const Color kanzo = nipponColor072;

  /// 洒落柿, sharegaki
  static const Color nipponColor073 = Color.fromARGB(0xFF, 0xFF, 0xBA, 0x84);
  static const Color sharegaki = nipponColor073;

  /// 紅鬱金, beniukon
  static const Color nipponColor074 = Color.fromARGB(0xFF, 0xE9, 0x8B, 0x2A);
  static const Color beniukon = nipponColor074;

  /// 梅染, umezome
  static const Color nipponColor075 = Color.fromARGB(0xFF, 0xE9, 0xA3, 0x68);
  static const Color umezome = nipponColor075;

  /// 枇杷茶, biwacha
  static const Color nipponColor076 = Color.fromARGB(0xFF, 0xB1, 0x78, 0x44);
  static const Color biwacha = nipponColor076;

  /// 丁子茶, chojicha
  static const Color nipponColor077 = Color.fromARGB(0xFF, 0x96, 0x63, 0x2E);
  static const Color chojicha = nipponColor077;

  /// 憲法染, kenpohzome
  static const Color nipponColor078 = Color.fromARGB(0xFF, 0x43, 0x34, 0x1B);
  static const Color kenpohzome = nipponColor078;

  /// 琥珀, kohaku
  static const Color nipponColor079 = Color.fromARGB(0xFF, 0xCA, 0x7A, 0x2C);
  static const Color kohaku = nipponColor079;

  /// 薄柿, usugaki
  static const Color nipponColor080 = Color.fromARGB(0xFF, 0xEC, 0xB8, 0x8A);
  static const Color usugaki = nipponColor080;

  /// 伽羅, kyara
  static const Color nipponColor081 = Color.fromARGB(0xFF, 0x78, 0x55, 0x2B);
  static const Color kyara = nipponColor081;

  /// 丁子染, chojizome
  static const Color nipponColor082 = Color.fromARGB(0xFF, 0xB0, 0x77, 0x36);
  static const Color chojizome = nipponColor082;

  /// 柴染, fushizome
  static const Color nipponColor083 = Color.fromARGB(0xFF, 0x96, 0x72, 0x49);
  static const Color fushizome = nipponColor083;

  /// 朽葉, kuchiba
  static const Color nipponColor084 = Color.fromARGB(0xFF, 0xE2, 0x94, 0x3B);
  static const Color kuchiba = nipponColor084;

  /// 金茶, kincha
  static const Color nipponColor085 = Color.fromARGB(0xFF, 0xC7, 0x80, 0x2D);
  static const Color kincha = nipponColor085;

  /// 狐, kitsune
  static const Color nipponColor086 = Color.fromARGB(0xFF, 0x9B, 0x6E, 0x23);
  static const Color kitsume = nipponColor086;

  /// 煤竹, susutake
  static const Color nipponColor087 = Color.fromARGB(0xFF, 0x6E, 0x55, 0x2F);
  static const Color susutake = nipponColor087;

  /// 薄香, usukoh
  static const Color nipponColor088 = Color.fromARGB(0xFF, 0xEB, 0xB4, 0x71);
  static const Color usukoh = nipponColor088;

  /// 砥粉, tonoko
  static const Color nipponColor089 = Color.fromARGB(0xFF, 0xD7, 0xB9, 0x8E);
  static const Color tonoko = nipponColor089;

  /// 銀煤竹, ginsusutake
  static const Color nipponColor090 = Color.fromARGB(0xFF, 0x82, 0x66, 0x3A);
  static const Color ginsusutake = nipponColor090;

  /// 黄土, ohdo
  static const Color nipponColor091 = Color.fromARGB(0xFF, 0xB6, 0x8E, 0x55);
  static const Color ohdo = nipponColor091;

  /// 白茶, shiracha
  static const Color nipponColor092 = Color.fromARGB(0xFF, 0xBC, 0x9F, 0x77);
  static const Color shiracha = nipponColor092;

  /// 媚茶, kobicha
  static const Color nipponColor093 = Color.fromARGB(0xFF, 0x87, 0x66, 0x33);
  static const Color kobicha = nipponColor093;

  /// 黄唐茶, kigaracha
  static const Color nipponColor094 = Color.fromARGB(0xFF, 0xC1, 0x8A, 0x26);
  static const Color kigaracha = nipponColor094;

  /// 山吹, yamabuki
  static const Color nipponColor095 = Color.fromARGB(0xFF, 0xFF, 0xB1, 0x1B);
  static const Color yamabuki = nipponColor095;

  /// 山吹茶, yamabukicha
  static const Color nipponColor096 = Color.fromARGB(0xFF, 0xD1, 0x98, 0x26);
  static const Color yamabukicha = nipponColor096;

  /// 櫨染, hajizome
  static const Color nipponColor097 = Color.fromARGB(0xFF, 0xDD, 0xA5, 0x2D);
  static const Color hajizome = nipponColor097;

  /// 桑茶, kuwacha
  static const Color nipponColor098 = Color.fromARGB(0xFF, 0xC9, 0x98, 0x33);
  static const Color kuwacha = nipponColor098;

  /// 玉子, tamago
  static const Color nipponColor099 = Color.fromARGB(0xFF, 0xF9, 0xBF, 0x45);
  static const Color tamago = nipponColor099;

  /// 白橡, shirotsurubami
  static const Color nipponColor100 = Color.fromARGB(0xFF, 0xDC, 0xB8, 0x79);
  static const Color shirotsurubami = nipponColor100;

  /// 黄橡, kitsurubami
  static const Color nipponColor101 = Color.fromARGB(0xFF, 0xBA, 0x91, 0x32);
  static const Color kitsurubami = nipponColor101;

  /// 玉蜀黍, tamamorokoshi
  static const Color nipponColor102 = Color.fromARGB(0xFF, 0xE8, 0xB6, 0x47);
  static const Color tamamorokoshi = nipponColor102;

  /// 花葉, hanaba
  static const Color nipponColor103 = Color.fromARGB(0xFF, 0xF7, 0xC2, 0x42);
  static const Color hanaba = nipponColor103;

  /// 生壁, namakabe
  static const Color nipponColor104 = Color.fromARGB(0xFF, 0x7D, 0x6C, 0x46);
  static const Color namakabe = nipponColor104;

  /// 鳥の子, torinoko
  static const Color nipponColor105 = Color.fromARGB(0xFF, 0xDA, 0xC9, 0xA6);
  static const Color torinoko = nipponColor105;

  /// 浅黄, usuki
  static const Color nipponColor106 = Color.fromARGB(0xFF, 0xFA, 0xD6, 0x89);
  static const Color usuki = nipponColor106;

  /// 黄朽葉, kikuchiba
  static const Color nipponColor107 = Color.fromARGB(0xFF, 0xD9, 0xAB, 0x42);
  static const Color kikuchiba = nipponColor107;

  /// 梔子, kuchinashi
  static const Color nipponColor108 = Color.fromARGB(0xFF, 0xF6, 0xC5, 0x55);
  static const Color kuchinashi = nipponColor108;

  /// 籐黄, tohoh
  static const Color nipponColor109 = Color.fromARGB(0xFF, 0xFF, 0xC4, 0x08);
  static const Color tohoh = nipponColor109;

  /// 鬱金, ukon
  static const Color nipponColor110 = Color.fromARGB(0xFF, 0xEF, 0xBB, 0x24);
  static const Color ukon = nipponColor110;

  /// 芥子, karashi
  static const Color nipponColor111 = Color.fromARGB(0xFF, 0xCA, 0xAD, 0x5F);
  static const Color karashi = nipponColor111;

  /// 肥後煤竹, higosusutake
  static const Color nipponColor112 = Color.fromARGB(0xFF, 0x8D, 0x74, 0x2A);
  static const Color higosusutake = nipponColor112;

  /// 利休白茶, rikyushiracha
  static const Color nipponColor113 = Color.fromARGB(0xFF, 0xB4, 0xA5, 0x82);
  static const Color rikyushiracha = nipponColor113;

  /// 灰汁, aku
  static const Color nipponColor114 = Color.fromARGB(0xFF, 0x87, 0x7F, 0x6C);
  static const Color aku = nipponColor114;

  /// 利休茶, rikyucha
  static const Color nipponColor115 = Color.fromARGB(0xFF, 0x89, 0x7D, 0x55);
  static const Color rikyucha = nipponColor115;

  /// 路考茶, rokohcha
  static const Color nipponColor116 = Color.fromARGB(0xFF, 0x74, 0x67, 0x3E);
  static const Color rokohcha = nipponColor116;

  /// 菜種油, nataneyu
  static const Color nipponColor117 = Color.fromARGB(0xFF, 0xA2, 0x8C, 0x37);
  static const Color nataneyu = nipponColor117;

  /// 鶯茶, uguisucha
  static const Color nipponColor118 = Color.fromARGB(0xFF, 0x6C, 0x60, 0x24);
  static const Color uguisucha = nipponColor118;

  /// 黄海松茶, kimirucha
  static const Color nipponColor119 = Color.fromARGB(0xFF, 0x86, 0x78, 0x35);
  static const Color kimirucha = nipponColor119;

  /// 海松茶, mirucha
  static const Color nipponColor120 = Color.fromARGB(0xFF, 0x62, 0x59, 0x2C);
  static const Color mirucha = nipponColor120;

  /// 刈安, kariyasu
  static const Color nipponColor121 = Color.fromARGB(0xFF, 0xE9, 0xCD, 0x4C);
  static const Color kariyasu = nipponColor121;

  /// 菜の花, nanohana
  static const Color nipponColor122 = Color.fromARGB(0xFF, 0xF7, 0xD9, 0x4C);
  static const Color nanohana = nipponColor122;

  /// 黄蘗, kihada
  static const Color nipponColor123 = Color.fromARGB(0xFF, 0xFB, 0xE2, 0x51);
  static const Color kihada = nipponColor123;

  /// 蒸栗, mushikuri
  static const Color nipponColor124 = Color.fromARGB(0xFF, 0xD9, 0xCD, 0x90);
  static const Color mushikuri = nipponColor124;

  /// 青朽葉, aokuchiba
  static const Color nipponColor125 = Color.fromARGB(0xFF, 0xAD, 0xA1, 0x42);
  static const Color aokuchiba = nipponColor125;

  /// 女郎花, ominaeshi
  static const Color nipponColor126 = Color.fromARGB(0xFF, 0xDD, 0xD2, 0x3B);
  static const Color ominaeshi = nipponColor126;

  /// 鶸茶, hiwacha
  static const Color nipponColor127 = Color.fromARGB(0xFF, 0xA5, 0xA0, 0x51);
  static const Color hiwacha = nipponColor127;

  /// 鶸, hiwa
  static const Color nipponColor128 = Color.fromARGB(0xFF, 0xBE, 0xC2, 0x3F);
  static const Color hiwa = nipponColor128;

  /// 鶯, uguisu
  static const Color nipponColor129 = Color.fromARGB(0xFF, 0x6C, 0x6A, 0x2D);
  static const Color uguisu = nipponColor129;

  /// 柳茶, yanagicha
  static const Color nipponColor130 = Color.fromARGB(0xFF, 0x93, 0x96, 0x50);
  static const Color yanagicha = nipponColor130;

  /// 苔, koke
  static const Color nipponColor131 = Color.fromARGB(0xFF, 0x83, 0x8A, 0x2D);
  static const Color koke = nipponColor131;

  /// 麹塵, kikujin
  static const Color nipponColor132 = Color.fromARGB(0xFF, 0xB1, 0xB4, 0x79);
  static const Color kikujin = nipponColor132;

  /// 璃寛茶, rikancha
  static const Color nipponColor133 = Color.fromARGB(0xFF, 0x61, 0x61, 0x38);
  static const Color rikancha = nipponColor133;

  /// 藍媚茶, aikobicha
  static const Color nipponColor134 = Color.fromARGB(0xFF, 0x4B, 0x4E, 0x2A);
  static const Color aikobicha = nipponColor134;

  /// 海松, miru
  static const Color nipponColor135 = Color.fromARGB(0xFF, 0x5B, 0x62, 0x2E);
  static const Color miru = nipponColor135;

  /// 千歳茶, sensaicha
  static const Color nipponColor136 = Color.fromARGB(0xFF, 0x4D, 0x51, 0x39);
  static const Color sensaicha = nipponColor136;

  /// 梅幸茶, baikocha
  static const Color nipponColor137 = Color.fromARGB(0xFF, 0x89, 0x91, 0x6B);
  static const Color baikocha = nipponColor137;

  /// 鶸萌黄, hiwamoegi
  static const Color nipponColor138 = Color.fromARGB(0xFF, 0x90, 0xB4, 0x4B);
  static const Color hiwamoegi = nipponColor138;

  /// 柳染, yanagizome
  static const Color nipponColor139 = Color.fromARGB(0xFF, 0x91, 0xAD, 0x70);
  static const Color yanagizome = nipponColor139;

  /// 裏柳, urayanagi
  static const Color nipponColor140 = Color.fromARGB(0xFF, 0xB5, 0xCA, 0xA0);
  static const Color urayanagi = nipponColor140;

  /// 岩井茶, iwaicha
  static const Color nipponColor141 = Color.fromARGB(0xFF, 0x64, 0x6A, 0x58);
  static const Color iwaicha = nipponColor141;

  /// 萌黄, moegi
  static const Color nipponColor142 = Color.fromARGB(0xFF, 0x7B, 0xA2, 0x3F);
  static const Color moegi = nipponColor142;

  /// 苗, nae
  static const Color nipponColor143 = Color.fromARGB(0xFF, 0x86, 0xC1, 0x66);
  static const Color nae = nipponColor143;

  /// 柳煤竹, yanagisusutake
  static const Color nipponColor144 = Color.fromARGB(0xFF, 0x4A, 0x59, 0x3D);
  static const Color yanagisusutake = nipponColor144;

  /// 松葉, matsuba
  static const Color nipponColor145 = Color.fromARGB(0xFF, 0x42, 0x60, 0x2D);
  static const Color matsuba = nipponColor145;

  /// 青丹, aoni
  static const Color nipponColor146 = Color.fromARGB(0xFF, 0x51, 0x6E, 0x41);
  static const Color aoni = nipponColor146;

  /// 薄青, usuao
  static const Color nipponColor147 = Color.fromARGB(0xFF, 0x91, 0xB4, 0x93);
  static const Color usuao = nipponColor147;

  /// 柳鼠, yanaginezumi
  static const Color nipponColor148 = Color.fromARGB(0xFF, 0x80, 0x8F, 0x7C);
  static const Color yanaginezumi = nipponColor148;

  /// 常磐, tokiwa
  static const Color nipponColor149 = Color.fromARGB(0xFF, 0x1B, 0x81, 0x3E);
  static const Color tokiwa = nipponColor149;

  /// 若竹, wakatake
  static const Color nipponColor150 = Color.fromARGB(0xFF, 0x5D, 0xAC, 0x81);
  static const Color wakatake = nipponColor150;

  /// 千歳緑, chitosemidori
  static const Color nipponColor151 = Color.fromARGB(0xFF, 0x36, 0x56, 0x3C);
  static const Color chitosemidori = nipponColor151;

  /// 緑, midori
  static const Color nipponColor152 = Color.fromARGB(0xFF, 0x22, 0x7D, 0x51);
  static const Color midori = nipponColor152;

  /// 白緑, byakuroku
  static const Color nipponColor153 = Color.fromARGB(0xFF, 0xA8, 0xD8, 0xB9);
  static const Color byakuroku = nipponColor153;

  /// 老竹, oitake
  static const Color nipponColor154 = Color.fromARGB(0xFF, 0x6A, 0x83, 0x72);
  static const Color oitake = nipponColor154;

  /// 木賊, tokusa
  static const Color nipponColor155 = Color.fromARGB(0xFF, 0x2D, 0x6D, 0x4B);
  static const Color tokusa = nipponColor155;

  /// 御納戸茶, onandocha
  static const Color nipponColor156 = Color.fromARGB(0xFF, 0x46, 0x5D, 0x4C);
  static const Color onandocha = nipponColor156;

  /// 緑青, rokusyoh
  static const Color nipponColor157 = Color.fromARGB(0xFF, 0x24, 0x93, 0x6E);
  static const Color rokusyoh = nipponColor157;

  /// 錆青磁, sabiseiji
  static const Color nipponColor158 = Color.fromARGB(0xFF, 0x86, 0xA6, 0x97);
  static const Color sabiseiji = nipponColor158;

  /// 青竹, aotake
  static const Color nipponColor159 = Color.fromARGB(0xFF, 0x00, 0x89, 0x6C);
  static const Color aotake = nipponColor159;

  /// ビロード, veludo
  static const Color nipponColor160 = Color.fromARGB(0xFF, 0x09, 0x61, 0x48);
  static const Color veludo = nipponColor160;

  /// 虫襖, mushiao
  static const Color nipponColor161 = Color.fromARGB(0xFF, 0x20, 0x60, 0x4F);
  static const Color mushiao = nipponColor161;

  /// 藍海松茶, aimirucha
  static const Color nipponColor162 = Color.fromARGB(0xFF, 0x0F, 0x4C, 0x3A);
  static const Color aimirucha = nipponColor162;

  /// 沈香茶, tonocha2
  static const Color nipponColor163 = Color.fromARGB(0xFF, 0x4F, 0x72, 0x6C);
  static const Color tonocha2 = nipponColor163;

  /// 青緑, aomidori
  static const Color nipponColor164 = Color.fromARGB(0xFF, 0x00, 0xAA, 0x90);
  static const Color aomidori = nipponColor164;

  /// 青磁, seiji
  static const Color nipponColor165 = Color.fromARGB(0xFF, 0x69, 0xB0, 0xAC);
  static const Color seiji = nipponColor165;

  /// 鉄, tetsu
  static const Color nipponColor166 = Color.fromARGB(0xFF, 0x26, 0x45, 0x3D);
  static const Color tetsu = nipponColor166;

  /// 水浅葱, mizuasagi
  static const Color nipponColor167 = Color.fromARGB(0xFF, 0x66, 0xBA, 0xB7);
  static const Color mizuasagi = nipponColor167;

  /// 青碧, seiheki
  static const Color nipponColor168 = Color.fromARGB(0xFF, 0x26, 0x87, 0x85);
  static const Color seiheki = nipponColor168;

  /// 錆鉄御納戸, sabitetsuonando
  static const Color nipponColor169 = Color.fromARGB(0xFF, 0x40, 0x5B, 0x55);
  static const Color sabitetsuonando = nipponColor169;

  /// 高麗納戸, korainando
  static const Color nipponColor170 = Color.fromARGB(0xFF, 0x30, 0x5A, 0x56);
  static const Color korainando = nipponColor170;

  /// 白群, byakugun
  static const Color nipponColor171 = Color.fromARGB(0xFF, 0x78, 0xC2, 0xC4);
  static const Color byakugun = nipponColor171;

  /// 御召茶, omeshicha
  static const Color nipponColor172 = Color.fromARGB(0xFF, 0x37, 0x6B, 0x6D);
  static const Color omeshicha = nipponColor172;

  /// 瓶覗, kamenozoki
  static const Color nipponColor173 = Color.fromARGB(0xFF, 0xA5, 0xDE, 0xE4);
  static const Color kamenozoki = nipponColor173;

  /// 深川鼠, fukagawanezumi
  static const Color nipponColor174 = Color.fromARGB(0xFF, 0x77, 0x96, 0x9A);
  static const Color fukagawanezumi = nipponColor174;

  /// 錆浅葱, sabiasagi
  static const Color nipponColor175 = Color.fromARGB(0xFF, 0x66, 0x99, 0xA1);
  static const Color sabiasagi = nipponColor175;

  /// 水, mizu
  static const Color nipponColor176 = Color.fromARGB(0xFF, 0x81, 0xC7, 0xD4);
  static const Color mizu = nipponColor176;

  /// 浅葱, asagi
  static const Color nipponColor177 = Color.fromARGB(0xFF, 0x33, 0xA6, 0xB8);
  static const Color asagi = nipponColor177;

  /// 御納戸, onando
  static const Color nipponColor178 = Color.fromARGB(0xFF, 0x0C, 0x48, 0x42);
  static const Color onando = nipponColor178;

  /// 藍, ai
  static const Color nipponColor179 = Color.fromARGB(0xFF, 0x0D, 0x56, 0x61);
  static const Color ai = nipponColor179;

  /// 新橋, shinbashi
  static const Color nipponColor180 = Color.fromARGB(0xFF, 0x00, 0x89, 0xA7);
  static const Color shinbashi = nipponColor180;

  /// 錆御納戸, sabionando
  static const Color nipponColor181 = Color.fromARGB(0xFF, 0x33, 0x67, 0x74);
  static const Color sabionando = nipponColor181;

  /// 鉄御納戸, tetsuonando
  static const Color nipponColor182 = Color.fromARGB(0xFF, 0x25, 0x53, 0x59);
  static const Color tetsuonando = nipponColor182;

  /// 花浅葱, hanaasagi
  static const Color nipponColor183 = Color.fromARGB(0xFF, 0x1E, 0x88, 0xA8);
  static const Color hanaasagi = nipponColor183;

  /// 藍鼠, ainezumi
  static const Color nipponColor184 = Color.fromARGB(0xFF, 0x56, 0x6C, 0x73);
  static const Color ainezumi = nipponColor184;

  /// 舛花, masuhana
  static const Color nipponColor185 = Color.fromARGB(0xFF, 0x57, 0x7C, 0x8A);
  static const Color masuhana = nipponColor185;

  /// 空, sora
  static const Color nipponColor186 = Color.fromARGB(0xFF, 0x58, 0xB2, 0xDC);
  static const Color sora = nipponColor186;

  /// 熨斗目花, noshimehana
  static const Color nipponColor187 = Color.fromARGB(0xFF, 0x2B, 0x5F, 0x75);
  static const Color noshimehana = nipponColor187;

  /// 千草, chigusa
  static const Color nipponColor188 = Color.fromARGB(0xFF, 0x3A, 0x8F, 0xB7);
  static const Color chigusa = nipponColor188;

  /// 御召御納戸, omeshionando
  static const Color nipponColor189 = Color.fromARGB(0xFF, 0x2E, 0x5C, 0x6E);
  static const Color omeshionando = nipponColor189;

  /// 縹, hanada
  static const Color nipponColor190 = Color.fromARGB(0xFF, 0x00, 0x62, 0x84);
  static const Color hanada = nipponColor190;

  /// 勿忘草, wasurenagusa
  static const Color nipponColor191 = Color.fromARGB(0xFF, 0x7D, 0xB9, 0xDE);
  static const Color wasurenagusa = nipponColor191;

  /// 群青, gunjyo
  static const Color nipponColor192 = Color.fromARGB(0xFF, 0x51, 0xA8, 0xDD);
  static const Color gunjyo = nipponColor192;

  /// 露草, tsuyukusa
  static const Color nipponColor193 = Color.fromARGB(0xFF, 0x2E, 0xA9, 0xDF);
  static const Color tsuyukusa = nipponColor193;

  /// 黒橡, kurotsurubami
  static const Color nipponColor194 = Color.fromARGB(0xFF, 0x0B, 0x10, 0x13);
  static const Color kurotsurubami = nipponColor194;

  /// 紺, kon
  static const Color nipponColor195 = Color.fromARGB(0xFF, 0x0F, 0x25, 0x40);
  static const Color kon = nipponColor195;

  /// 褐, kachi
  static const Color nipponColor196 = Color.fromARGB(0xFF, 0x08, 0x19, 0x2D);
  static const Color kachi = nipponColor196;

  /// 瑠璃, ruri
  static const Color nipponColor197 = Color.fromARGB(0xFF, 0x00, 0x5C, 0xAF);
  static const Color ruri = nipponColor197;

  /// 瑠璃紺, rurikon
  static const Color nipponColor198 = Color.fromARGB(0xFF, 0x0B, 0x34, 0x6E);
  static const Color rurikon = nipponColor198;

  /// 紅碧, benimidori
  static const Color nipponColor199 = Color.fromARGB(0xFF, 0x7B, 0x90, 0xD2);
  static const Color benimidori = nipponColor199;

  /// 藤鼠, fujinezumi
  static const Color nipponColor200 = Color.fromARGB(0xFF, 0x6E, 0x75, 0xA4);
  static const Color fujinezumi = nipponColor200;

  /// 鉄紺, tetsukon
  static const Color nipponColor201 = Color.fromARGB(0xFF, 0x26, 0x1E, 0x47);
  static const Color tetsukon = nipponColor201;

  /// 紺青, konjyo
  static const Color nipponColor202 = Color.fromARGB(0xFF, 0x11, 0x32, 0x85);
  static const Color konjyo = nipponColor202;

  /// 紅掛花, benikakehana
  static const Color nipponColor203 = Color.fromARGB(0xFF, 0x4E, 0x4F, 0x97);
  static const Color benikakehana = nipponColor203;

  /// 紺桔梗, konkikyo
  static const Color nipponColor204 = Color.fromARGB(0xFF, 0x21, 0x1E, 0x55);
  static const Color konkikyo = nipponColor204;

  /// 藤, fuji
  static const Color nipponColor205 = Color.fromARGB(0xFF, 0x8B, 0x81, 0xC3);
  static const Color fuji = nipponColor205;

  /// 二藍, futaai
  static const Color nipponColor206 = Color.fromARGB(0xFF, 0x70, 0x64, 0x9A);
  static const Color futaai = nipponColor206;

  /// 楝, ouchi
  static const Color nipponColor207 = Color.fromARGB(0xFF, 0x9B, 0x90, 0xC2);
  static const Color ouchi = nipponColor207;

  /// 藤紫, fujimurasaki
  static const Color nipponColor208 = Color.fromARGB(0xFF, 0x8A, 0x6B, 0xBE);
  static const Color fujimurasaki = nipponColor208;

  /// 桔梗, kikyo
  static const Color nipponColor209 = Color.fromARGB(0xFF, 0x6A, 0x4C, 0x9C);
  static const Color kikyo = nipponColor209;

  /// 紫苑, shion
  static const Color nipponColor210 = Color.fromARGB(0xFF, 0x8F, 0x77, 0xB5);
  static const Color shion = nipponColor210;

  /// 滅紫, messhi
  static const Color nipponColor211 = Color.fromARGB(0xFF, 0x53, 0x3D, 0x5B);
  static const Color messhi = nipponColor211;

  /// 薄, usu
  static const Color nipponColor212 = Color.fromARGB(0xFF, 0xB2, 0x8F, 0xCE);
  static const Color usu = nipponColor212;

  /// 半, hashita
  static const Color nipponColor213 = Color.fromARGB(0xFF, 0x98, 0x6D, 0xB2);
  static const Color hashita = nipponColor213;

  /// 江戸紫, edomurasaki
  static const Color nipponColor214 = Color.fromARGB(0xFF, 0x77, 0x42, 0x8D);
  static const Color edomurasaki = nipponColor214;

  /// 紫紺, shikon
  static const Color nipponColor215 = Color.fromARGB(0xFF, 0x3C, 0x2F, 0x41);
  static const Color shikon = nipponColor215;

  /// 深紫, kokimurasaki
  static const Color nipponColor216 = Color.fromARGB(0xFF, 0x4A, 0x22, 0x5D);
  static const Color kokimurasaki = nipponColor216;

  /// 菫, sumire
  static const Color nipponColor217 = Color.fromARGB(0xFF, 0x66, 0x32, 0x7C);
  static const Color sumire = nipponColor217;

  /// 紫, murasaki
  static const Color nipponColor218 = Color.fromARGB(0xFF, 0x59, 0x2C, 0x63);
  static const Color murasaki = nipponColor218;

  /// 菖蒲, ayame
  static const Color nipponColor219 = Color.fromARGB(0xFF, 0x6F, 0x33, 0x81);
  static const Color ayame = nipponColor219;

  /// 藤煤竹, fujisusutake
  static const Color nipponColor220 = Color.fromARGB(0xFF, 0x57, 0x4C, 0x57);
  static const Color fujisusutake = nipponColor220;

  /// 紅藤, benifuji
  static const Color nipponColor221 = Color.fromARGB(0xFF, 0xB4, 0x81, 0xBB);
  static const Color benifuji = nipponColor221;

  /// 黒紅, kurobeni
  static const Color nipponColor222 = Color.fromARGB(0xFF, 0x3F, 0x2B, 0x36);
  static const Color kurobeni = nipponColor222;

  /// 茄子紺, nasukon
  static const Color nipponColor223 = Color.fromARGB(0xFF, 0x57, 0x2A, 0x3F);
  static const Color nasukon = nipponColor223;

  /// 葡萄鼠, budohnezumi
  static const Color nipponColor224 = Color.fromARGB(0xFF, 0x5E, 0x3D, 0x50);
  static const Color budohnezumi = nipponColor224;

  /// 鳩羽鼠, hatobanezumi
  static const Color nipponColor225 = Color.fromARGB(0xFF, 0x72, 0x63, 0x6E);
  static const Color hatobanezumi = nipponColor225;

  /// 杜若, kakitsubata
  static const Color nipponColor226 = Color.fromARGB(0xFF, 0x62, 0x29, 0x54);
  static const Color kakitsubata = nipponColor226;

  /// 蒲葡, ebizome
  static const Color nipponColor227 = Color.fromARGB(0xFF, 0x6D, 0x2E, 0x5B);
  static const Color ebizome = nipponColor227;

  /// 牡丹, botan
  static const Color nipponColor228 = Color.fromARGB(0xFF, 0xC1, 0x32, 0x8E);
  static const Color botan = nipponColor228;

  /// 梅紫, umemurasaki
  static const Color nipponColor229 = Color.fromARGB(0xFF, 0xA8, 0x49, 0x7A);
  static const Color umemurasaki = nipponColor229;

  /// 似紫, nisemurasaki
  static const Color nipponColor230 = Color.fromARGB(0xFF, 0x56, 0x2E, 0x37);
  static const Color nisemurasaki = nipponColor230;

  /// 躑躅, tsutsuji
  static const Color nipponColor231 = Color.fromARGB(0xFF, 0xE0, 0x3C, 0x8A);
  static const Color tsutsuji = nipponColor231;

  /// 紫鳶, murasakitobi
  static const Color nipponColor232 = Color.fromARGB(0xFF, 0x60, 0x37, 0x3E);
  static const Color murasakitobi = nipponColor232;

  /// 白練, shironeri
  static const Color nipponColor233 = Color.fromARGB(0xFF, 0xFC, 0xFA, 0xF2);
  static const Color shironeri = nipponColor233;

  /// 胡粉, gofun
  static const Color nipponColor234 = Color.fromARGB(0xFF, 0xFF, 0xFF, 0xFB);
  static const Color gofun = nipponColor234;

  /// 白鼠, shironezumi
  static const Color nipponColor235 = Color.fromARGB(0xFF, 0xBD, 0xC0, 0xBA);
  static const Color shironezumi = nipponColor235;

  /// 銀鼠, ginnezumi
  static const Color nipponColor236 = Color.fromARGB(0xFF, 0x91, 0x98, 0x9F);
  static const Color ginnezumi = nipponColor236;

  /// 鉛, namari
  static const Color nipponColor237 = Color.fromARGB(0xFF, 0x78, 0x78, 0x78);
  static const Color namari = nipponColor237;

  /// 灰, hai
  static const Color nipponColor238 = Color.fromARGB(0xFF, 0x82, 0x82, 0x82);
  static const Color hai = nipponColor238;

  /// 素鼠, sunezumi
  static const Color nipponColor239 = Color.fromARGB(0xFF, 0x78, 0x7D, 0x7B);
  static const Color sunezumi = nipponColor239;

  /// 利休鼠, rikyunezumi
  static const Color nipponColor240 = Color.fromARGB(0xFF, 0x70, 0x7C, 0x74);
  static const Color rikyunezumi = nipponColor240;

  /// 鈍, nibi
  static const Color nipponColor241 = Color.fromARGB(0xFF, 0x65, 0x67, 0x65);
  static const Color nibi = nipponColor241;

  /// 青鈍, aonibi
  static const Color nipponColor242 = Color.fromARGB(0xFF, 0x53, 0x59, 0x53);
  static const Color aonibi = nipponColor242;

  /// 溝鼠, dobunezumi
  static const Color nipponColor243 = Color.fromARGB(0xFF, 0x4F, 0x4F, 0x48);
  static const Color dobunezumi = nipponColor243;

  /// 紅消鼠, benikeshinezumi
  static const Color nipponColor244 = Color.fromARGB(0xFF, 0x52, 0x43, 0x3D);
  static const Color benikeshinezumi = nipponColor244;

  /// 藍墨茶, aisumicha
  static const Color nipponColor245 = Color.fromARGB(0xFF, 0x37, 0x3C, 0x38);
  static const Color aisumicha = nipponColor245;

  /// 檳榔子染, binrojizome
  static const Color nipponColor246 = Color.fromARGB(0xFF, 0x3A, 0x32, 0x26);
  static const Color binrojizome = nipponColor246;

  /// 消炭, keshizumi
  static const Color nipponColor247 = Color.fromARGB(0xFF, 0x43, 0x43, 0x43);
  static const Color keshizumi = nipponColor247;

  /// 墨, sumi
  static const Color nipponColor248 = Color.fromARGB(0xFF, 0x1C, 0x1C, 0x1C);
  static const Color sumi = nipponColor248;

  /// 黒, kuro
  static const Color nipponColor249 = Color.fromARGB(0xFF, 0x08, 0x08, 0x08);
  static const Color kuro = nipponColor249;

  /// 呂, ro
  static const Color nipponColor250 = Color.fromARGB(0xFF, 0x0C, 0x0C, 0x0C);
  static const Color ro = nipponColor250;
}
